<?php

/**
 * This is the model class for table "RateDetails".
 *
 * The followings are the available columns in table 'RateDetails':
 * @property integer $RateDetail_ID
 * @property integer $nMntcID
 * @property string $dFromDate
 * @property string $dToDate
 * @property string $sParticulars
 * @property string $mRate
 * @property string $sRate_Unit
 * @property string $mRateOfIntrest
 */
class RateDetails extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return RateDetails the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'RateDetails';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('nMntcID', 'numerical', 'integerOnly'=>true),
			array('sParticulars', 'length', 'max'=>100),
			array('mRate, mRateOfIntrest', 'length', 'max'=>19),
			array('sRate_Unit', 'length', 'max'=>50),
			array('dFromDate, dToDate', 'safe'),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('RateDetail_ID, nMntcID, dFromDate, dToDate, sParticulars, mRate, sRate_Unit, mRateOfIntrest', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'RateDetail_ID' => 'Rate Detail',
			'nMntcID' => 'N Mntc',
			'dFromDate' => 'D From Date',
			'dToDate' => 'D To Date',
			'sParticulars' => 'S Particulars',
			'mRate' => 'M Rate',
			'sRate_Unit' => 'S Rate Unit',
			'mRateOfIntrest' => 'M Rate Of Intrest',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('RateDetail_ID',$this->RateDetail_ID);
		$criteria->compare('nMntcID',$this->nMntcID);
		$criteria->compare('dFromDate',$this->dFromDate,true);
		$criteria->compare('dToDate',$this->dToDate,true);
		$criteria->compare('sParticulars',$this->sParticulars,true);
		$criteria->compare('mRate',$this->mRate,true);
		$criteria->compare('sRate_Unit',$this->sRate_Unit,true);
		$criteria->compare('mRateOfIntrest',$this->mRateOfIntrest,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}